"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateReplicationSubnetGroup_1 = require("../model/operations/CreateReplicationSubnetGroup");
var CreateReplicationSubnetGroupCommand = /** @class */ (function () {
    function CreateReplicationSubnetGroupCommand(input) {
        this.input = input;
        this.model = CreateReplicationSubnetGroup_1.CreateReplicationSubnetGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateReplicationSubnetGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateReplicationSubnetGroupCommand;
}());
exports.CreateReplicationSubnetGroupCommand = CreateReplicationSubnetGroupCommand;
//# sourceMappingURL=CreateReplicationSubnetGroupCommand.js.map