import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteReplicationInstanceInput } from "../types/DeleteReplicationInstanceInput";
import { DeleteReplicationInstanceOutput } from "../types/DeleteReplicationInstanceOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DeleteReplicationInstanceInput";
export * from "../types/DeleteReplicationInstanceOutput";
export * from "../types/DeleteReplicationInstanceExceptionsUnion";
export declare class DeleteReplicationInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteReplicationInstanceInput, OutputTypesUnion, DeleteReplicationInstanceOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DeleteReplicationInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteReplicationInstanceInput, DeleteReplicationInstanceOutput, Blob>;
    constructor(input: DeleteReplicationInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteReplicationInstanceInput, DeleteReplicationInstanceOutput>;
}
