import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeConnectionsInput } from "../types/DescribeConnectionsInput";
import { DescribeConnectionsOutput } from "../types/DescribeConnectionsOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribeConnectionsInput";
export * from "../types/DescribeConnectionsOutput";
export * from "../types/DescribeConnectionsExceptionsUnion";
export declare class DescribeConnectionsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeConnectionsInput, OutputTypesUnion, DescribeConnectionsOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribeConnectionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeConnectionsInput, DescribeConnectionsOutput, Blob>;
    constructor(input: DescribeConnectionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeConnectionsInput, DescribeConnectionsOutput>;
}
