import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeReplicationInstancesInput } from "../types/DescribeReplicationInstancesInput";
import { DescribeReplicationInstancesOutput } from "../types/DescribeReplicationInstancesOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribeReplicationInstancesInput";
export * from "../types/DescribeReplicationInstancesOutput";
export * from "../types/DescribeReplicationInstancesExceptionsUnion";
export declare class DescribeReplicationInstancesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeReplicationInstancesInput, OutputTypesUnion, DescribeReplicationInstancesOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribeReplicationInstancesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeReplicationInstancesInput, DescribeReplicationInstancesOutput, Blob>;
    constructor(input: DescribeReplicationInstancesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeReplicationInstancesInput, DescribeReplicationInstancesOutput>;
}
