"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReplicationTaskAssessmentResults_1 = require("../model/operations/DescribeReplicationTaskAssessmentResults");
var DescribeReplicationTaskAssessmentResultsCommand = /** @class */ (function () {
    function DescribeReplicationTaskAssessmentResultsCommand(input) {
        this.input = input;
        this.model = DescribeReplicationTaskAssessmentResults_1.DescribeReplicationTaskAssessmentResults;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReplicationTaskAssessmentResultsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReplicationTaskAssessmentResultsCommand;
}());
exports.DescribeReplicationTaskAssessmentResultsCommand = DescribeReplicationTaskAssessmentResultsCommand;
//# sourceMappingURL=DescribeReplicationTaskAssessmentResultsCommand.js.map