import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeTableStatisticsInput } from "../types/DescribeTableStatisticsInput";
import { DescribeTableStatisticsOutput } from "../types/DescribeTableStatisticsOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/DescribeTableStatisticsInput";
export * from "../types/DescribeTableStatisticsOutput";
export * from "../types/DescribeTableStatisticsExceptionsUnion";
export declare class DescribeTableStatisticsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeTableStatisticsInput, OutputTypesUnion, DescribeTableStatisticsOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: DescribeTableStatisticsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeTableStatisticsInput, DescribeTableStatisticsOutput, Blob>;
    constructor(input: DescribeTableStatisticsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeTableStatisticsInput, DescribeTableStatisticsOutput>;
}
