import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyReplicationSubnetGroupInput } from "../types/ModifyReplicationSubnetGroupInput";
import { ModifyReplicationSubnetGroupOutput } from "../types/ModifyReplicationSubnetGroupOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/ModifyReplicationSubnetGroupInput";
export * from "../types/ModifyReplicationSubnetGroupOutput";
export * from "../types/ModifyReplicationSubnetGroupExceptionsUnion";
export declare class ModifyReplicationSubnetGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyReplicationSubnetGroupInput, OutputTypesUnion, ModifyReplicationSubnetGroupOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: ModifyReplicationSubnetGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyReplicationSubnetGroupInput, ModifyReplicationSubnetGroupOutput, Blob>;
    constructor(input: ModifyReplicationSubnetGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<ModifyReplicationSubnetGroupInput, ModifyReplicationSubnetGroupOutput>;
}
