import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ModifyReplicationTaskInput } from "../types/ModifyReplicationTaskInput";
import { ModifyReplicationTaskOutput } from "../types/ModifyReplicationTaskOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/ModifyReplicationTaskInput";
export * from "../types/ModifyReplicationTaskOutput";
export * from "../types/ModifyReplicationTaskExceptionsUnion";
export declare class ModifyReplicationTaskCommand implements __aws_sdk_types.Command<InputTypesUnion, ModifyReplicationTaskInput, OutputTypesUnion, ModifyReplicationTaskOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: ModifyReplicationTaskInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ModifyReplicationTaskInput, ModifyReplicationTaskOutput, Blob>;
    constructor(input: ModifyReplicationTaskInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<ModifyReplicationTaskInput, ModifyReplicationTaskOutput>;
}
