import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartReplicationTaskAssessmentInput } from "../types/StartReplicationTaskAssessmentInput";
import { StartReplicationTaskAssessmentOutput } from "../types/StartReplicationTaskAssessmentOutput";
import { DatabaseMigrationServiceResolvedConfiguration } from "../DatabaseMigrationServiceConfiguration";
export * from "../types/StartReplicationTaskAssessmentInput";
export * from "../types/StartReplicationTaskAssessmentOutput";
export * from "../types/StartReplicationTaskAssessmentExceptionsUnion";
export declare class StartReplicationTaskAssessmentCommand implements __aws_sdk_types.Command<InputTypesUnion, StartReplicationTaskAssessmentInput, OutputTypesUnion, StartReplicationTaskAssessmentOutput, DatabaseMigrationServiceResolvedConfiguration, Blob> {
    readonly input: StartReplicationTaskAssessmentInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartReplicationTaskAssessmentInput, StartReplicationTaskAssessmentOutput, Blob>;
    constructor(input: StartReplicationTaskAssessmentInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DatabaseMigrationServiceResolvedConfiguration): __aws_sdk_types.Handler<StartReplicationTaskAssessmentInput, StartReplicationTaskAssessmentOutput>;
}
