"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReplicationTaskAssessmentResultsInput_1 = require("../shapes/DescribeReplicationTaskAssessmentResultsInput");
var DescribeReplicationTaskAssessmentResultsOutput_1 = require("../shapes/DescribeReplicationTaskAssessmentResultsOutput");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReplicationTaskAssessmentResults = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReplicationTaskAssessmentResults",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReplicationTaskAssessmentResultsInput_1.DescribeReplicationTaskAssessmentResultsInput
    },
    output: {
        shape: DescribeReplicationTaskAssessmentResultsOutput_1.DescribeReplicationTaskAssessmentResultsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeReplicationTaskAssessmentResults.js.map