"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeSchemasInput_1 = require("../shapes/DescribeSchemasInput");
var DescribeSchemasOutput_1 = require("../shapes/DescribeSchemasOutput");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeSchemas = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeSchemas",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeSchemasInput_1.DescribeSchemasInput
    },
    output: {
        shape: DescribeSchemasOutput_1.DescribeSchemasOutput
    },
    errors: [
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeSchemas.js.map