"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _VpcSecurityGroupIdList_1 = require("./_VpcSecurityGroupIdList");
exports.ModifyReplicationInstanceInput = {
    type: "structure",
    required: ["ReplicationInstanceArn"],
    members: {
        ReplicationInstanceArn: {
            shape: {
                type: "string"
            }
        },
        AllocatedStorage: {
            shape: {
                type: "integer"
            }
        },
        ApplyImmediately: {
            shape: {
                type: "boolean"
            }
        },
        ReplicationInstanceClass: {
            shape: {
                type: "string"
            }
        },
        VpcSecurityGroupIds: {
            shape: _VpcSecurityGroupIdList_1._VpcSecurityGroupIdList
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        MultiAZ: {
            shape: {
                type: "boolean"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        AllowMajorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        AutoMinorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        ReplicationInstanceIdentifier: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=ModifyReplicationInstanceInput.js.map